import 'dart:convert';

import 'package:flutter/material.dart';

class VideoPreview {
  String thumbnail;
  String title;
  int id;

  VideoPreview(this.thumbnail, this.title, this.id);
}

class PreviewTile extends StatelessWidget {
  const PreviewTile({Key? key, required this.dta}) : super(key: key);

  final VideoPreview dta;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      child: Column(
        children: [Text(dta.title), Image.memory(base64Decode(dta.thumbnail))],
      ),
    );
  }
}
